Bug 203599 - USB dies on my laptop
USB dies on my laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 13:37 EDT by Richard Allen
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2006-08-22 13:37:27 EDT
Description of problem:
After a few hours uptime USB logs some nasty errors

Version-Release number of selected component (if applicable):
2.6.17-1.2573.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Boot fc6 on a nx9420
2. Go about your day
3. run dmesg :)
  
Actual results:
uhci_hcd 0000:00:1d.0: host controller process error, something bad happened!
uhci_hcd 0000:00:1d.0: host controller halted, very bad!
uhci_hcd 0000:00:1d.0: HC died; cleaning up
usb 1-1: USB disconnect, address 4
PM: Removing info for No Bus:usbdev1.4_ep81
PM: Removing info for No Bus:usbdev1.4_ep82
PM: Removing info for No Bus:usbdev1.4_ep02
PM: Removing info for No Bus:hci0
PM: Removing info for usb:1-1:1.0
PM: Removing info for No Bus:usbdev1.4_ep83
PM: Removing info for No Bus:usbdev1.4_ep03
PM: Removing info for usb:1-1:1.1
PM: Removing info for No Bus:usbdev1.4_ep84
PM: Removing info for No Bus:usbdev1.4_ep04
PM: Removing info for usb:1-1:1.2
PM: Removing info for usb:1-1:1.3
PM: Removing info for No Bus:usbdev1.4_ep00
PM: Removing info for usb:1-1


Expected results:
No errors ;)

Additional info:
The machine only has one USB device connected, which is a mouse
Comment 1 Pete Zaitcev 2006-08-22 13:46:03 EDT
I beleive in honesty as the best policy, so I regret to say that I'm going to
ignore this report for now. The reason is, the PCI target abort is always
horribly difficult to diagnose, and 95 out of 100 it's caused by BIOS
reprogramming something behind our back.

That said, we ought to have uhci-hcd restarting its UHCI after a halt.
I'll look into that, but not into root-casing this bug.
Comment 2 Pete Zaitcev 2006-08-22 13:47:09 EDT
Oh, BTW. If you boot an old kernel from FC5, does that work?
Comment 3 Richard Allen 2006-08-22 14:08:03 EDT
Yes, I've been running FC5 on this machine without fail.  Did you want me to
install an FC5 kernel on the fc6t2 system and try again ?
Comment 4 Pete Zaitcev 2006-08-22 14:21:46 EDT
Yes, I would with but I am not sure if it's possible, because of udev
dependencies. If we could somehow narrow it down to a couple of kernel
releases, that would be great...
Comment 5 Richard Allen 2006-08-22 14:27:05 EDT
Ok. I'll do my best.   But we do know that the latest errata kernel for FC5
(2.6.17-1.2174_FC5smp) works like a charm (on FC5 that is) so the problems
begins after that.
Due to the time it can take to reproduce this (unfortunatly it does not happen
right away) my testing will take some time.
Comment 6 Jon Stanley 2007-12-30 20:34:49 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Jon Stanley 2008-01-07 19:12:22 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.